# Set URL Param

## Description:

URL Parameters Mapping

Use this action to set the parameter in the URL to be used in the navigated page.

Let's suppose you have the page URL as `app/order/:orderId` in the page properties. To set URL param, enter orderId in the param name and a static value or an expression to evaluate the value for orderId in the Value Expression. e.g..`#props.orderId`.

Use can you get the parameter in expression as `#param.paramCode`. Replace paramCode with your param code provided in the URL of Page properties.

### Allowed Parent Components:

1. Go To Page

### Allowed Child Components:

1. Trigger Before Render

### Properties

### ➤ Enable Condition

Specify an expression that should be evaluated to a boolean \[e.g. #{dsAlias.attr1} == 'X' && #{dsAlias.attr2} > 1]. If no expression is specified, it will be considered as true.

Allowed Values: An expression which should return boolean after evaluation

### ➤ Value Expression

Specify an expression that should be evaluated to a string or number depending on the target attribute

Allowed Values: Specify an expression that should be evaluated to a string or number depending on the target attribute

### ➤ Param Name

You can access this in the target page as #{params.headerId}

Allowed Values: Free text field


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudio.io/ui-components/widgets/urlparammapping.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
